| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Functions
video2.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <ARX/ARVideo/video.h>`
`#include <ARX/AR/config.h>`
`#include <ARX/ARUtil/time.h>`
Include dependency graph for video2.c:

## Macros
#define | B_SIZE ((unsigned int)256)

## Functions
ARVideoSourceInfoListT * | ar2VideoCreateSourceInfoList (const char *config_in)
void | ar2VideoDeleteSourceInfoList (ARVideoSourceInfoListT **p)
AR2VideoParamT * | ar2VideoOpen (const char *config_in)
| Open a video input module and return control object.
AR2VideoParamT * | ar2VideoOpenAsync (const char *config_in, void(*callback)(void *), void *userdata)
| Open a video input module, and return control object, invoking a callback once opening is complete.
int | ar2VideoClose (AR2VideoParamT *vid)
int | ar2VideoDispOption (AR2VideoParamT *vid)
AR_VIDEO_MODULE | ar2VideoGetModule (AR2VideoParamT *vid)
int | ar2VideoGetId (AR2VideoParamT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSize (AR2VideoParamT *vid, int *x, int *y)
int | ar2VideoGetPixelSize (AR2VideoParamT *vid)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormat (AR2VideoParamT *vid)
AR2VideoBufferT * | ar2VideoGetImage (AR2VideoParamT *vid)
int | ar2VideoCapStart (AR2VideoParamT *vid)
int | ar2VideoCapStartAsync (AR2VideoParamT *vid, AR_VIDEO_FRAME_READY_CALLBACK callback, void *userdata)
int | ar2VideoCapStop (AR2VideoParamT *vid)
int | ar2VideoGetParami (AR2VideoParamT *vid, int paramName, int *value)
int | ar2VideoSetParami (AR2VideoParamT *vid, int paramName, int value)
int | ar2VideoGetParamd (AR2VideoParamT *vid, int paramName, double *value)
int | ar2VideoSetParamd (AR2VideoParamT *vid, int paramName, double value)
int | ar2VideoGetParams (AR2VideoParamT *vid, const int paramName, char **value)
int | ar2VideoSetParams (AR2VideoParamT *vid, const int paramName, const char *value)
int | ar2VideoSaveParam (AR2VideoParamT *vid, char *filename)
int | ar2VideoLoadParam (AR2VideoParamT *vid, char *filename)
int | ar2VideoSetBufferSize (AR2VideoParamT *vid, const int width, const int height)
int | ar2VideoGetBufferSize (AR2VideoParamT *vid, int *width, int *height)
int | ar2VideoGetCParam (AR2VideoParamT *vid, ARParam *cparam)
int | ar2VideoGetCParamAsync (AR2VideoParamT *vid, void(*callback)(const ARParam *, void *), void *userdata)
int | ar2VideoPushInit (AR2VideoParamT *vid, int width, int height, const char *pixelFormat, int cameraIndex, int cameraPosition)
int | ar2VideoPush (AR2VideoParamT *vid, ARUint8 *buf0p, int buf0Size, int buf0PixelStride, int buf0RowStride, ARUint8 *buf1p, int buf1Size, int buf1PixelStride, int buf1RowStride, ARUint8 *buf2p, int buf2Size, int buf2PixelStride, int buf2RowStride, ARUint8 *buf3p, int buf3Size, int buf3PixelStride, int buf3RowStride)
int | ar2VideoPushFinal (AR2VideoParamT *vid)

## Macro Definition Documentation

## ◆ B_SIZE

#define B_SIZE ((unsigned int)256)

## Function Documentation

## ◆ ar2VideoCapStart()

int ar2VideoCapStart | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoCapStartAsync()

int ar2VideoCapStartAsync | ( | AR2VideoParamT * | vid,
|  | AR_VIDEO_FRAME_READY_CALLBACK | callback,
|  | void * | userdata
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoCapStop()

int ar2VideoCapStop | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoClose()

int ar2VideoClose | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoCreateSourceInfoList()

ARVideoSourceInfoListT * ar2VideoCreateSourceInfoList | ( | const char * | config_in | ) |

Here is the call graph for this function:

## ◆ ar2VideoDeleteSourceInfoList()

void ar2VideoDeleteSourceInfoList | ( | ARVideoSourceInfoListT ** | p | ) |

## ◆ ar2VideoDispOption()

int ar2VideoDispOption | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoGetBufferSize()

int ar2VideoGetBufferSize | ( | AR2VideoParamT * | vid,
|  | int * | width,
|  | int * | height
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetCParam()

int ar2VideoGetCParam | ( | AR2VideoParamT * | vid,
|  | ARParam * | cparam
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetCParamAsync()

int ar2VideoGetCParamAsync | ( | AR2VideoParamT * | vid,
|  | void(*)(const ARParam *, void *) | callback,
|  | void * | userdata
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetId()

int ar2VideoGetId | ( | AR2VideoParamT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetImage()

AR2VideoBufferT * ar2VideoGetImage | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoGetModule()

AR_VIDEO_MODULE ar2VideoGetModule | ( | AR2VideoParamT * | vid | ) |

## ◆ ar2VideoGetParamd()

int ar2VideoGetParamd | ( | AR2VideoParamT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetParami()

int ar2VideoGetParami | ( | AR2VideoParamT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetParams()

int ar2VideoGetParams | ( | AR2VideoParamT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoGetPixelFormat()

AR_PIXEL_FORMAT ar2VideoGetPixelFormat | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoGetPixelSize()

int ar2VideoGetPixelSize | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoGetSize()

int ar2VideoGetSize | ( | AR2VideoParamT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoLoadParam()

int ar2VideoLoadParam | ( | AR2VideoParamT * | vid,
|  | char * | filename
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoOpen()

AR2VideoParamT * ar2VideoOpen | ( | const char * | config | ) |

Open a video input module and return control object.

Opening a video input module selects, connects to, and configures a video source for other video operations. Once this call has returned, other APIs can be invoked. @oaram config A configuration string, consisting of a series of space-separated configuration tokens. While the configuration string options are largely platform- and system-dependent, the token "-module=X" where X is a video input module name is always accepted. For information on configuration options, see https://github.com/artoolkitx/artoolkitx/wiki/artoolkitX-video-module-configuration-reference

See also
  arVideoOpenAsync ar2VideoOpen ar2VideoOpenAsync arVideoClose ar2VideoClose

Returns
  NULL in case of error, or allocates and returns a pointer to an AR2VideoParamT structure if successful. The allocation is dispoed of by ar2VideoClose.

Here is the call graph for this function:

## ◆ ar2VideoOpenAsync()

AR2VideoParamT * ar2VideoOpenAsync | ( | const char * | config,
|  | void(*)(void *) | callback,
|  | void * | userdata
| ) |  |

Open a video input module, and return control object, invoking a callback once opening is complete.

Opening a video input module selects, connects to, and configures a video source for other video operations. This variant returns immediately while continuing the opening operation asynchronously, invoking a user-supplied callback once opening has completed. The only API permissible to call between this function and the invocation of the callback is ar2VideoGetModule. @oaram config A configuration string, consisting of a series of space-separated configuration tokens. While the configuration string options are largely platform- and system-dependent, the token "-module=X" where X is a video input module name is always accepted. For information on configuration options, see https://github.com/artoolkitx/artoolkitx/wiki/artoolkitX-video-module-configuration-reference

Parameters

  callback | The callback to invoke once opening is complete. In most cases, the callback will be invoked on a different thread, so care must be taken if the caller is sensitive to this.
  userdata | An arbitrary pointer which will be passed to the callback.

See also
  arVideoOpenAsync ar2VideoOpen ar2VideoOpenAsync arVideoClose ar2VideoClose ar2VideoGetModule

Returns
  NULL in case of error, or allocates and returns a pointer to an AR2VideoParamT structure if successful. The allocation is dispoed of by ar2VideoClose.

Here is the call graph for this function:

## ◆ ar2VideoPush()

int ar2VideoPush | ( | AR2VideoParamT * | vid,
|  | ARUint8 * | buf0p,
|  | int | buf0Size,
|  | int | buf0PixelStride,
|  | int | buf0RowStride,
|  | ARUint8 * | buf1p,
|  | int | buf1Size,
|  | int | buf1PixelStride,
|  | int | buf1RowStride,
|  | ARUint8 * | buf2p,
|  | int | buf2Size,
|  | int | buf2PixelStride,
|  | int | buf2RowStride,
|  | ARUint8 * | buf3p,
|  | int | buf3Size,
|  | int | buf3PixelStride,
|  | int | buf3RowStride
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoPushFinal()

int ar2VideoPushFinal | ( | AR2VideoParamT * | vid | ) |

Here is the call graph for this function:

## ◆ ar2VideoPushInit()

int ar2VideoPushInit | ( | AR2VideoParamT * | vid,
|  | int | width,
|  | int | height,
|  | const char * | pixelFormat,
|  | int | cameraIndex,
|  | int | cameraPosition
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoSaveParam()

int ar2VideoSaveParam | ( | AR2VideoParamT * | vid,
|  | char * | filename
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoSetBufferSize()

int ar2VideoSetBufferSize | ( | AR2VideoParamT * | vid,
|  | const int | width,
|  | const int | height
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoSetParamd()

int ar2VideoSetParamd | ( | AR2VideoParamT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoSetParami()

int ar2VideoSetParami | ( | AR2VideoParamT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

Here is the call graph for this function:

## ◆ ar2VideoSetParams()

int ar2VideoSetParams | ( | AR2VideoParamT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |

Here is the call graph for this function: